Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # packed_channel_value Class Template Reference [packed_channel_value] `#include <channel.hpp>` List of all members. ## Detailed Description ### template<int NumBits> class boost::gil::packed_channel_value< NumBits > The value of a subbyte channel. Models: ChannelValueConcept.
## Public Types
typedef detail::min_fast_uint < NumBits >::type | integer_t
typedef packed_channel_value | value_type
typedef value_type & | reference
typedef const value_type & | const_reference
typedef value_type * | pointer
typedef const value_type * | const_pointer
## Public Member Functions
| BOOST_STATIC_CONSTANT (bool, is_mutable=true)
| packed_channel_value (integer_t v)
| packed_channel_value (const packed_channel_value &v)
template<typename Scalar>
| packed_channel_value (Scalar v)
| operator integer_t () const
## Static Public Member Functions
static value_type | min_value ()
static value_type | max_value ()
The documentation for this class was generated from the following file: channel.hpp